#
# Cookbook Name:: twindb-repo
# Recipe:: default
#

# Setup the repository
case node["platform_family"]
when "debian"
  repo_uri = node['twindb_repo']['apt']['uri']

  apt_repository node["twindb_repo"]["apt"]["name"] do
    uri repo_uri
    distribution node["lsb"]["codename"]
    components ["main"]
    key node["twindb_repo"]["apt"]["gpgkey"]
  end

when "rhel", "fedora"
  yum_repository node["twindb_repo"]["yum"]["name"] do
    description node["twindb_repo"]["yum"]["description"]
    baseurl node["twindb_repo"]["yum"]["baseurl"]
    gpgkey node["twindb_repo"]["yum"]["gpgkey"]
    gpgcheck node["twindb_repo"]["yum"]["gpgcheck"]
    priority node["twindb_repo"]["yum"]["priority"]

    if node['platform_version'].to_f >= 6.0
      sslverify node["twindb_repo"]["yum"]["sslverify"]
      sslclientcert node["twindb_repo"]["yum"]["sslclientcert"]
      sslclientkey node["twindb_repo"]["yum"]["sslclientkey"]
    else
      sslverify false
    end

    action :create
  end
end
